
# FreeBSD stuff

# using colortail if available
[ -x "$(whence colortail)" ] && alias lm="colortail -n 60 -k /usr/local/share/examples/colortail/conf.messages -f /var/log/syslog"

# GNU ls(1) from FreeBSD ports is called gnuls(1).
if [ -x "$(whence gnuls)" ]; then
    if [ "$TERM" != "dumb" ]; then
	if [ -r "$DOTZSHDIR/config/dircolors" ]; then
	    eval $(dircolors -b $DOTZSHDIR/config/dircolors)
	else
	    eval $(dircolors -b)
	fi
	alias ls="gnuls -h --color=auto"
	alias l="gnuls -lh --color=auto"
    else
	alias ls="gnuls -h"
	alias l="gnuls -lh"
    fi
else
    if [ "$TERM" != "dumb" ]; then
	export LSCOLORS="exfxbxdxcxegedabagacad"
	alias ls="ls -GFh"
	alias l="ls -lGFh"
    else
	alias ls="ls -Fh"
	alias l="ls -lFh"
    fi
fi

# GNU tar is called gtar 
[ -x "$(whence gtar)" ] && alias tar="gtar"

# GNU find is called gfind
[ -x "$(whence gfind)" ] && alias find="gfind"
